// Copyright (c) 2019, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
//
// WSO2 Inc. licenses this file to you under the Apache License,
// Version 2.0 (the "License"); you may not use this file except
// in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

import ballerina/log;

const string EMPTY_STRING = "";
const string WHITE_SPACE = " ";

# Log and prepare `error` as a `JwtError`.
#
# + message - Error message
# + err - `error` instance
# + return - Prepared `JwtError` instance
function prepareJwtError(string message, error? err = ()) returns JwtError {
    log:printError(message, err = err);
    JwtError jwtError;
    if (err is error) {
        jwtError = error(JWT_ERROR, message = message, cause = err);
    } else {
        jwtError = error(JWT_ERROR, message = message);
    }
    return jwtError;
}
